Skip to main content
DELETE
/
customers
/
{customerId}
cURL
curl --request DELETE \
  --url https://api.grainfinance.co/v1/customers/{customerId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.grainfinance.co/v1/customers/{customerId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.grainfinance.co/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Can't perform this action",
  "reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}

Authorizations

Authorization
string
header
required

Basic authentication using the partner API keys from https://console.grainfinance.co/keys

Path Parameters

customerId
string<uuid>
required

The UUID of the customer Stringified UUIDv4. See RFC 4112

Pattern: [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}

Response

Customer has been Deleted